Uploaded image for project: 'camunda BPM'
  1. camunda BPM
  2. CAM-8062

Deployment page broken in Internet Explorer

    Details

    • Type: Bug Report
    • Status: Closed
    • Priority: L3 - Default
    • Resolution: Fixed
    • Affects Version/s: 7.7.1, 7.6.7, 7.8.0-alpha2
    • Fix Version/s: 7.8.0, 7.6.8, 7.7.3
    • Component/s: cockpit
    • Labels:

      Description

      Reproduce:

      • Goto Deployments page in Cockpit using Internet Explorer (tested with 11)

      Expected:

      • Page is displayed correctly

      Observed:

      • List of Deployments is loaded indefinitely

      Hint:

        Issue Links

          Activity

          Hide
          sebastian.stamm Sebastian Stamm added a comment -

          I think it makes sense for commons-ui to expose its lodash dependency and for the webapp to require that even for the 7.7 and 7.6 backport. That way we don't run the risk of accidentally using two different versions of lodash.

          Some commits are missing the reference to the ticket. Related commits are:

          Show
          sebastian.stamm Sebastian Stamm added a comment - I think it makes sense for commons-ui to expose its lodash dependency and for the webapp to require that even for the 7.7 and 7.6 backport. That way we don't run the risk of accidentally using two different versions of lodash. Some commits are missing the reference to the ticket. Related commits are: https://github.com/camunda/camunda-bpm-webapp/commit/90915e6fdc58b6f71c8281e436f1fe7ee55dd17d https://github.com/camunda/camunda-bpm-webapp/commit/a3b87d2e4d43fe596b20359b9acbeb6ca472712b https://github.com/camunda/camunda-bpm-webapp/commit/55938a229478ceb875987eb3e29e331897677dca https://github.com/camunda/camunda-bpm-webapp/commit/beb8f9a9ef99f444a7fc9c0aa2e35e15948fce06
          Hide
          sebastian.stamm Sebastian Stamm added a comment -

          Looks like the 7.6 branch of the camunda-bpm-webapp still needs to be updated to use the camunda-commons-ui version. Also, I think we can move lodash back to the dev-dependencies in camunda-bpm-webapp for 7.7. and 7.6

          Show
          sebastian.stamm Sebastian Stamm added a comment - Looks like the 7.6 branch of the camunda-bpm-webapp still needs to be updated to use the camunda-commons-ui version. Also, I think we can move lodash back to the dev-dependencies in camunda-bpm-webapp for 7.7. and 7.6
          Hide
          seif.ghezala Seif Ghezala added a comment - - edited
          • lodash is now again in devDependencies.
          • 7.6 is already updated to use camunda-commons-ui when requiring lodash.
          Show
          seif.ghezala Seif Ghezala added a comment - - edited lodash is now again in devDependencies. 7.6 is already updated to use camunda-commons-ui when requiring lodash.
          Hide
          sebastian.stamm Sebastian Stamm added a comment -

          Show
          sebastian.stamm Sebastian Stamm added a comment -

            People

            • Assignee:
              Unassigned
              Reporter:
              sebastian.stamm Sebastian Stamm
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: